# Generated by Django 2.2.3 on 2019-08-30 07:08

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [("meta_screening", "0001_initial")]

    operations = [
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="advised_to_fast",
            field=models.CharField(
                blank=True,
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="If yes, has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="appt_datetime",
            field=models.DateTimeField(
                blank=True,
                null=True,
                verbose_name="Appointment date for second stage of screening",
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="patient_eligible",
            field=models.CharField(
                blank=True,
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Based on answers to inclusion and exclusion criteria (above), is the patient potentially eligible for the study? ",
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="advised_to_fast",
            field=models.CharField(
                blank=True,
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="If yes, has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="appt_datetime",
            field=models.DateTimeField(
                blank=True,
                null=True,
                verbose_name="Appointment date for second stage of screening",
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="patient_eligible",
            field=models.CharField(
                blank=True,
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Based on answers to inclusion and exclusion criteria (above), is the patient potentially eligible for the study? ",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="acute_condition",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have any acute condition requiring immediate hospital care/admission",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="acute_metabolic_acidosis",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have any signs or symptoms of acute metabolic acidosis (lactic acidosis and/or diabetic ketoacidosis)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="alcoholism",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Evidence of alcoholism or acute alcohol intoxication: flushing, amnesia, mental confusion, nausea or vomiting, slurred speech, dehydration, dry skin and brittle hair.",
                max_length=15,
                null=True,
                verbose_name="Does the patient have any evidence of alcoholism or acute alcohol intoxication",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="art_six_months",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Has the patient been on anti-retroviral therapy for at least 6 months",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="congestive_heart_failure",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have congestive heart failure requiring pharmacologic therapy",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="hiv_pos",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=5,
                null=True,
                verbose_name="Is the patient HIV positive",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="liver_disease",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Evidence of chronic liver disease: Jaundice, pruritus, hepatomegaly, ascites, spider naevi and flapping tremors.",
                max_length=15,
                null=True,
                verbose_name="Is there clinical evidence of liver disease",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="lives_nearby",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Is the patient living within the catchment population of the facility",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="metformin_sensitivity",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="For example: Magnesium stearate, sodium carboxymethylcellulose, hypromellose",
                max_length=15,
                null=True,
                verbose_name="Does the patient have any known hypersensitivity to metformin or any excipients associated with its preparation",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="on_rx_stable",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Is the patient considered to be stable on treatment (in regular attendance for care)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="pregnancy",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    ("N/A", "Not Applicable: e.g. male, post-menopausal"),
                ],
                max_length=15,
                null=True,
                verbose_name="Is the patient pregnant?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="renal_function_condition",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have any acute condition which can alter renal function including: dehydration, severe infection or shock",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="staying_nearby",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Is the patient planning to remain in the catchment area for at least 6 months",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="tissue_hypoxia_condition",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Including: decompensated heart failure, respiratory failure, recent myocardial infarction or shock",
                max_length=15,
                null=True,
                verbose_name="Does the patient have any acute condition which can cause tissue hypoxia",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="acute_condition",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have any acute condition requiring immediate hospital care/admission",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="acute_metabolic_acidosis",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have any signs or symptoms of acute metabolic acidosis (lactic acidosis and/or diabetic ketoacidosis)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="alcoholism",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Evidence of alcoholism or acute alcohol intoxication: flushing, amnesia, mental confusion, nausea or vomiting, slurred speech, dehydration, dry skin and brittle hair.",
                max_length=15,
                null=True,
                verbose_name="Does the patient have any evidence of alcoholism or acute alcohol intoxication",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="art_six_months",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Has the patient been on anti-retroviral therapy for at least 6 months",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="congestive_heart_failure",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have congestive heart failure requiring pharmacologic therapy",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="hiv_pos",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=5,
                null=True,
                verbose_name="Is the patient HIV positive",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="liver_disease",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Evidence of chronic liver disease: Jaundice, pruritus, hepatomegaly, ascites, spider naevi and flapping tremors.",
                max_length=15,
                null=True,
                verbose_name="Is there clinical evidence of liver disease",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="lives_nearby",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Is the patient living within the catchment population of the facility",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="metformin_sensitivity",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="For example: Magnesium stearate, sodium carboxymethylcellulose, hypromellose",
                max_length=15,
                null=True,
                verbose_name="Does the patient have any known hypersensitivity to metformin or any excipients associated with its preparation",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="on_rx_stable",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Is the patient considered to be stable on treatment (in regular attendance for care)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="pregnancy",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    ("N/A", "Not Applicable: e.g. male, post-menopausal"),
                ],
                max_length=15,
                null=True,
                verbose_name="Is the patient pregnant?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="renal_function_condition",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Does the patient have any acute condition which can alter renal function including: dehydration, severe infection or shock",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="staying_nearby",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=10,
                null=True,
                verbose_name="Is the patient planning to remain in the catchment area for at least 6 months",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="tissue_hypoxia_condition",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Including: decompensated heart failure, respiratory failure, recent myocardial infarction or shock",
                max_length=15,
                null=True,
                verbose_name="Does the patient have any acute condition which can cause tissue hypoxia",
            ),
        ),
    ]
