# Generated by Django 2.2.3 on 2019-08-31 07:20

import _socket
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django_audit_fields.fields.hostname_modification_field
import django_audit_fields.fields.userfield
import django_audit_fields.fields.uuid_auto_field
import django_audit_fields.models.audit_model_mixin
import django_revision.revision_field
import edc_sites.models
import edc_utils.date
import simple_history.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ("sites", "0002_alter_domain_unique"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("meta_screening", "0003_auto_20190830_1510"),
    ]

    operations = [
        migrations.CreateModel(
            name="ScreeningPartOne",
            fields=[],
            options={"proxy": True, "indexes": [], "constraints": []},
            bases=("meta_screening.subjectscreening",),
            managers=[("on_site", edc_sites.models.CurrentSiteManager())],
        ),
        migrations.CreateModel(
            name="ScreeningPartThree",
            fields=[],
            options={"proxy": True, "indexes": [], "constraints": []},
            bases=("meta_screening.subjectscreening",),
            managers=[("on_site", edc_sites.models.CurrentSiteManager())],
        ),
        migrations.CreateModel(
            name="ScreeningPartTwo",
            fields=[],
            options={"proxy": True, "indexes": [], "constraints": []},
            bases=("meta_screening.subjectscreening",),
            managers=[("on_site", edc_sites.models.CurrentSiteManager())],
        ),
        migrations.RemoveField(
            model_name="historicalsubjectscreening", name="second_stage_datetime"
        ),
        migrations.RemoveField(
            model_name="subjectscreening", name="second_stage_datetime"
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="part_three_report_datetime",
            field=models.DateTimeField(
                help_text="Date and time of report.",
                null=True,
                verbose_name="Second stage report date and time",
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="part_two_report_datetime",
            field=models.DateTimeField(
                help_text="Date and time of report.",
                null=True,
                verbose_name="Report Date and Time",
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="part_three_report_datetime",
            field=models.DateTimeField(
                help_text="Date and time of report.",
                null=True,
                verbose_name="Second stage report date and time",
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="part_two_report_datetime",
            field=models.DateTimeField(
                help_text="Date and time of report.",
                null=True,
                verbose_name="Report Date and Time",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="advised_to_fast",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="If YES, has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="age_in_years",
            field=models.IntegerField(
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(110),
                ]
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="calculated_bmi",
            field=models.DecimalField(
                decimal_places=1, help_text="calculated", max_digits=4, null=True
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="calculated_egfr",
            field=models.DecimalField(
                decimal_places=2,
                help_text="mL/min per 1.73m2",
                max_digits=4,
                null=True,
                verbose_name="eGFR",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="creatinine",
            field=models.DecimalField(
                decimal_places=1,
                max_digits=4,
                null=True,
                verbose_name="Serum creatinine levels",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="creatinine_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (creatinine)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="fasted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Has the participant fasted?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="fasted_duration",
            field=models.CharField(
                help_text="format HH:MM",
                max_length=8,
                null=True,
                validators=[
                    django.core.validators.RegexValidator(
                        "^([0-9]{1,3}:[0-5][0-9])$",
                        message="Enter a valid time in hour:minutes format",
                    )
                ],
                verbose_name="How long have they fasted?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="fasting_glucose",
            field=models.DecimalField(
                decimal_places=1,
                help_text="mmol/L",
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Fasting glucose levels",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="fasting_glucose_datetime",
            field=models.DateTimeField(
                null=True, verbose_name="Time fasting glucose level measured"
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="hba1c",
            field=models.DecimalField(
                decimal_places=1,
                help_text="in %",
                max_digits=3,
                null=True,
                verbose_name="HbA1c",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="height",
            field=models.IntegerField(help_text="in centimeters", null=True),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="ogtt_performed_datetime",
            field=models.DateTimeField(
                help_text="(glucose solution given)",
                null=True,
                verbose_name="Time oral glucose tolerance test was performed",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=1,
                help_text="mmol/L",
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="ogtt_two_hr_datetime",
            field=models.DateTimeField(
                null=True,
                verbose_name="Time blood glucose levels tested after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="ogtt_two_hr_duration",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Duration will be calculated when you click SAVE.",
                max_length=15,
                null=True,
                verbose_name="Is the duration within range (110-130min)?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="ogtt_two_hr_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (Blood glucose)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="patient_eligible",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Hint: You may click SAVE below to automatically verify potential eligibility based on answers to the inclusion and exclusion criteria above.",
                max_length=15,
                null=True,
                verbose_name="Is the patient potentially eligible for the study? ",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="urine_bhcg",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                help_text="(Pregnancy test)",
                max_length=15,
                null=True,
                verbose_name="Urine BHCG",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="weight",
            field=models.DecimalField(
                decimal_places=1, help_text="in kgs", max_digits=4, null=True
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="advised_to_fast",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="If YES, has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="age_in_years",
            field=models.IntegerField(
                validators=[
                    django.core.validators.MinValueValidator(0),
                    django.core.validators.MaxValueValidator(110),
                ]
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="calculated_bmi",
            field=models.DecimalField(
                decimal_places=1, help_text="calculated", max_digits=4, null=True
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="calculated_egfr",
            field=models.DecimalField(
                decimal_places=2,
                help_text="mL/min per 1.73m2",
                max_digits=4,
                null=True,
                verbose_name="eGFR",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="creatinine",
            field=models.DecimalField(
                decimal_places=1,
                max_digits=4,
                null=True,
                verbose_name="Serum creatinine levels",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="creatinine_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (creatinine)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="fasted",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                max_length=15,
                null=True,
                verbose_name="Has the participant fasted?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="fasted_duration",
            field=models.CharField(
                help_text="format HH:MM",
                max_length=8,
                null=True,
                validators=[
                    django.core.validators.RegexValidator(
                        "^([0-9]{1,3}:[0-5][0-9])$",
                        message="Enter a valid time in hour:minutes format",
                    )
                ],
                verbose_name="How long have they fasted?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="fasting_glucose",
            field=models.DecimalField(
                decimal_places=1,
                help_text="mmol/L",
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Fasting glucose levels",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="fasting_glucose_datetime",
            field=models.DateTimeField(
                null=True, verbose_name="Time fasting glucose level measured"
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="hba1c",
            field=models.DecimalField(
                decimal_places=1,
                help_text="in %",
                max_digits=3,
                null=True,
                verbose_name="HbA1c",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="height",
            field=models.IntegerField(help_text="in centimeters", null=True),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="ogtt_performed_datetime",
            field=models.DateTimeField(
                help_text="(glucose solution given)",
                null=True,
                verbose_name="Time oral glucose tolerance test was performed",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=1,
                help_text="mmol/L",
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="ogtt_two_hr_datetime",
            field=models.DateTimeField(
                null=True,
                verbose_name="Time blood glucose levels tested after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="ogtt_two_hr_duration",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Duration will be calculated when you click SAVE.",
                max_length=15,
                null=True,
                verbose_name="Is the duration within range (110-130min)?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="ogtt_two_hr_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (Blood glucose)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="patient_eligible",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No")],
                help_text="Hint: You may click SAVE below to automatically verify potential eligibility based on answers to the inclusion and exclusion criteria above.",
                max_length=15,
                null=True,
                verbose_name="Is the patient potentially eligible for the study? ",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="urine_bhcg",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                help_text="(Pregnancy test)",
                max_length=15,
                null=True,
                verbose_name="Urine BHCG",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="weight",
            field=models.DecimalField(
                decimal_places=1, help_text="in kgs", max_digits=4, null=True
            ),
        ),
        migrations.CreateModel(
            name="HistoricalScreeningPartTwo",
            fields=[
                (
                    "revision",
                    django_revision.revision_field.RevisionField(
                        blank=True,
                        editable=False,
                        help_text="System field. Git repository tag:branch:commit.",
                        max_length=75,
                        null=True,
                        verbose_name="Revision",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "modified",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "user_created",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user created",
                    ),
                ),
                (
                    "user_modified",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user modified",
                    ),
                ),
                (
                    "hostname_created",
                    models.CharField(
                        blank=True,
                        default=_socket.gethostname,
                        help_text="System field. (modified on create only)",
                        max_length=60,
                    ),
                ),
                (
                    "hostname_modified",
                    django_audit_fields.fields.hostname_modification_field.HostnameModificationField(
                        blank=True,
                        help_text="System field. (modified on every save)",
                        max_length=50,
                    ),
                ),
                ("device_created", models.CharField(blank=True, max_length=10)),
                ("device_modified", models.CharField(blank=True, max_length=10)),
                (
                    "id",
                    django_audit_fields.fields.uuid_auto_field.UUIDAutoField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        help_text="System auto field. UUID primary key.",
                    ),
                ),
                (
                    "subject_identifier",
                    models.CharField(max_length=50, verbose_name="Subject Identifier"),
                ),
                (
                    "subject_identifier_as_pk",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "subject_identifier_aka",
                    models.CharField(
                        editable=False,
                        help_text="track a previously allocated identifier.",
                        max_length=50,
                        null=True,
                        verbose_name="Subject Identifier a.k.a",
                    ),
                ),
                (
                    "slug",
                    models.CharField(
                        db_index=True,
                        default="",
                        editable=False,
                        help_text="a field used for quick search",
                        max_length=250,
                        null=True,
                    ),
                ),
                (
                    "reference",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        verbose_name="Reference",
                    ),
                ),
                (
                    "screening_identifier",
                    models.CharField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        max_length=50,
                        verbose_name="Screening ID",
                    ),
                ),
                (
                    "report_datetime",
                    models.DateTimeField(
                        default=edc_utils.date.get_utcnow,
                        help_text="Date and time of report.",
                        verbose_name="Report Date and Time",
                    ),
                ),
                (
                    "gender",
                    models.CharField(
                        choices=[("M", "Male"), ("F", "Female")], max_length=10
                    ),
                ),
                (
                    "age_in_years",
                    models.IntegerField(
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(110),
                        ]
                    ),
                ),
                (
                    "consent_ability",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=5,
                        verbose_name="Participant or legal guardian/representative able and willing to give informed consent.",
                    ),
                ),
                ("eligible", models.BooleanField(default=False, editable=False)),
                (
                    "reasons_ineligible",
                    models.TextField(
                        editable=False,
                        max_length=150,
                        null=True,
                        verbose_name="Reason not eligible",
                    ),
                ),
                ("consented", models.BooleanField(default=False, editable=False)),
                (
                    "history_id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("hospital_identifier", models.CharField(db_index=True, max_length=25)),
                (
                    "ethnicity",
                    models.CharField(
                        choices=[("black", "Black"), ("OTHER", "Other")],
                        help_text="Used for eGFR calculation",
                        max_length=15,
                        null=True,
                    ),
                ),
                (
                    "hiv_pos",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=5,
                        null=True,
                        verbose_name="Is the patient HIV positive",
                    ),
                ),
                (
                    "art_six_months",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Has the patient been on anti-retroviral therapy for at least 6 months",
                    ),
                ),
                (
                    "on_rx_stable",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient considered to be stable on treatment (in regular attendance for care)",
                    ),
                ),
                (
                    "lives_nearby",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient living within the catchment population of the facility",
                    ),
                ),
                (
                    "staying_nearby",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient planning to remain in the catchment area for at least 6 months",
                    ),
                ),
                (
                    "pregnant",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not Applicable: e.g. male, post-menopausal"),
                        ],
                        max_length=15,
                        null=True,
                        verbose_name="Is the patient pregnant?",
                    ),
                ),
                (
                    "preg_test_date",
                    models.DateTimeField(
                        blank=True,
                        null=True,
                        verbose_name="Pregnancy test (Urine or serum βhCG) date",
                    ),
                ),
                (
                    "congestive_heart_failure",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have congestive heart failure requiring pharmacologic therapy",
                    ),
                ),
                (
                    "liver_disease",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Evidence of chronic liver disease: Jaundice, pruritus, hepatomegaly, ascites, spider naevi and flapping tremors.",
                        max_length=15,
                        null=True,
                        verbose_name="Is there clinical evidence of liver disease",
                    ),
                ),
                (
                    "alcoholism",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Evidence of alcoholism or acute alcohol intoxication: flushing, amnesia, mental confusion, nausea or vomiting, slurred speech, dehydration, dry skin and brittle hair.",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any evidence of alcoholism or acute alcohol intoxication",
                    ),
                ),
                (
                    "acute_metabolic_acidosis",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any signs or symptoms of acute metabolic acidosis (lactic acidosis and/or diabetic ketoacidosis)",
                    ),
                ),
                (
                    "renal_function_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition which can alter renal function including: dehydration, severe infection or shock",
                    ),
                ),
                (
                    "tissue_hypoxia_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Including: decompensated heart failure, respiratory failure, recent myocardial infarction or shock",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition which can cause tissue hypoxia",
                    ),
                ),
                (
                    "acute_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition requiring immediate hospital care/admission",
                    ),
                ),
                (
                    "metformin_sensitivity",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="For example: Magnesium stearate, sodium carboxymethylcellulose, hypromellose",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any known hypersensitivity to metformin or any excipients associated with its preparation",
                    ),
                ),
                (
                    "part_two_report_datetime",
                    models.DateTimeField(
                        help_text="Date and time of report.",
                        null=True,
                        verbose_name="Report Date and Time",
                    ),
                ),
                (
                    "patient_eligible",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Hint: You may click SAVE below to automatically verify potential eligibility based on answers to the inclusion and exclusion criteria above.",
                        max_length=15,
                        null=True,
                        verbose_name="Is the patient potentially eligible for the study? ",
                    ),
                ),
                (
                    "advised_to_fast",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="If YES, has the patient been advised to return fasted for the second stage of the screening?",
                    ),
                ),
                (
                    "appt_datetime",
                    models.DateTimeField(
                        blank=True,
                        null=True,
                        verbose_name="Appointment date for second stage of screening",
                    ),
                ),
                (
                    "part_three_report_datetime",
                    models.DateTimeField(
                        help_text="Date and time of report.",
                        null=True,
                        verbose_name="Second stage report date and time",
                    ),
                ),
                (
                    "weight",
                    models.DecimalField(
                        decimal_places=1, help_text="in kgs", max_digits=4, null=True
                    ),
                ),
                ("height", models.IntegerField(help_text="in centimeters", null=True)),
                (
                    "calculated_bmi",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="calculated",
                        max_digits=4,
                        null=True,
                    ),
                ),
                (
                    "fasted",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Has the participant fasted?",
                    ),
                ),
                (
                    "fasted_duration",
                    models.CharField(
                        help_text="format HH:MM",
                        max_length=8,
                        null=True,
                        validators=[
                            django.core.validators.RegexValidator(
                                "^([0-9]{1,3}:[0-5][0-9])$",
                                message="Enter a valid time in hour:minutes format",
                            )
                        ],
                        verbose_name="How long have they fasted?",
                    ),
                ),
                (
                    "urine_bhcg",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not applicable"),
                        ],
                        help_text="(Pregnancy test)",
                        max_length=15,
                        null=True,
                        verbose_name="Urine BHCG",
                    ),
                ),
                (
                    "hba1c",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="in %",
                        max_digits=3,
                        null=True,
                        verbose_name="HbA1c",
                    ),
                ),
                (
                    "creatinine",
                    models.DecimalField(
                        decimal_places=1,
                        max_digits=4,
                        null=True,
                        verbose_name="Serum creatinine levels",
                    ),
                ),
                (
                    "creatinine_units",
                    models.CharField(
                        choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                        max_length=15,
                        null=True,
                        verbose_name="Units (creatinine)",
                    ),
                ),
                (
                    "calculated_egfr",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="mL/min per 1.73m2",
                        max_digits=4,
                        null=True,
                        verbose_name="eGFR",
                    ),
                ),
                (
                    "fasting_glucose",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="mmol/L",
                        max_digits=3,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(1),
                            django.core.validators.MaxValueValidator(50),
                        ],
                        verbose_name="Fasting glucose levels",
                    ),
                ),
                (
                    "fasting_glucose_datetime",
                    models.DateTimeField(
                        null=True, verbose_name="Time fasting glucose level measured"
                    ),
                ),
                (
                    "ogtt_performed_datetime",
                    models.DateTimeField(
                        help_text="(glucose solution given)",
                        null=True,
                        verbose_name="Time oral glucose tolerance test was performed",
                    ),
                ),
                (
                    "ogtt_two_hr",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="mmol/L",
                        max_digits=3,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(1),
                            django.core.validators.MaxValueValidator(50),
                        ],
                        verbose_name="Blood glucose levels 2-hours after glucose solution given",
                    ),
                ),
                (
                    "ogtt_two_hr_units",
                    models.CharField(
                        choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                        max_length=15,
                        null=True,
                        verbose_name="Units (Blood glucose)",
                    ),
                ),
                (
                    "ogtt_two_hr_datetime",
                    models.DateTimeField(
                        null=True,
                        verbose_name="Time blood glucose levels tested after glucose solution given",
                    ),
                ),
                (
                    "ogtt_two_hr_duration",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Duration will be calculated when you click SAVE.",
                        max_length=15,
                        null=True,
                        verbose_name="Is the duration within range (110-130min)?",
                    ),
                ),
                ("history_date", models.DateTimeField()),
                ("history_change_reason", models.CharField(max_length=100, null=True)),
                (
                    "history_type",
                    models.CharField(
                        choices=[("+", "Created"), ("~", "Changed"), ("-", "Deleted")],
                        max_length=1,
                    ),
                ),
                (
                    "history_user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="+",
                        to="sites.Site",
                    ),
                ),
            ],
            options={
                "verbose_name": "historical screening part two",
                "ordering": ("-history_date", "-history_id"),
                "get_latest_by": "history_date",
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name="HistoricalScreeningPartThree",
            fields=[
                (
                    "revision",
                    django_revision.revision_field.RevisionField(
                        blank=True,
                        editable=False,
                        help_text="System field. Git repository tag:branch:commit.",
                        max_length=75,
                        null=True,
                        verbose_name="Revision",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "modified",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "user_created",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user created",
                    ),
                ),
                (
                    "user_modified",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user modified",
                    ),
                ),
                (
                    "hostname_created",
                    models.CharField(
                        blank=True,
                        default=_socket.gethostname,
                        help_text="System field. (modified on create only)",
                        max_length=60,
                    ),
                ),
                (
                    "hostname_modified",
                    django_audit_fields.fields.hostname_modification_field.HostnameModificationField(
                        blank=True,
                        help_text="System field. (modified on every save)",
                        max_length=50,
                    ),
                ),
                ("device_created", models.CharField(blank=True, max_length=10)),
                ("device_modified", models.CharField(blank=True, max_length=10)),
                (
                    "id",
                    django_audit_fields.fields.uuid_auto_field.UUIDAutoField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        help_text="System auto field. UUID primary key.",
                    ),
                ),
                (
                    "subject_identifier",
                    models.CharField(max_length=50, verbose_name="Subject Identifier"),
                ),
                (
                    "subject_identifier_as_pk",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "subject_identifier_aka",
                    models.CharField(
                        editable=False,
                        help_text="track a previously allocated identifier.",
                        max_length=50,
                        null=True,
                        verbose_name="Subject Identifier a.k.a",
                    ),
                ),
                (
                    "slug",
                    models.CharField(
                        db_index=True,
                        default="",
                        editable=False,
                        help_text="a field used for quick search",
                        max_length=250,
                        null=True,
                    ),
                ),
                (
                    "reference",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        verbose_name="Reference",
                    ),
                ),
                (
                    "screening_identifier",
                    models.CharField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        max_length=50,
                        verbose_name="Screening ID",
                    ),
                ),
                (
                    "report_datetime",
                    models.DateTimeField(
                        default=edc_utils.date.get_utcnow,
                        help_text="Date and time of report.",
                        verbose_name="Report Date and Time",
                    ),
                ),
                (
                    "gender",
                    models.CharField(
                        choices=[("M", "Male"), ("F", "Female")], max_length=10
                    ),
                ),
                (
                    "age_in_years",
                    models.IntegerField(
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(110),
                        ]
                    ),
                ),
                (
                    "consent_ability",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=5,
                        verbose_name="Participant or legal guardian/representative able and willing to give informed consent.",
                    ),
                ),
                ("eligible", models.BooleanField(default=False, editable=False)),
                (
                    "reasons_ineligible",
                    models.TextField(
                        editable=False,
                        max_length=150,
                        null=True,
                        verbose_name="Reason not eligible",
                    ),
                ),
                ("consented", models.BooleanField(default=False, editable=False)),
                (
                    "history_id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("hospital_identifier", models.CharField(db_index=True, max_length=25)),
                (
                    "ethnicity",
                    models.CharField(
                        choices=[("black", "Black"), ("OTHER", "Other")],
                        help_text="Used for eGFR calculation",
                        max_length=15,
                        null=True,
                    ),
                ),
                (
                    "hiv_pos",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=5,
                        null=True,
                        verbose_name="Is the patient HIV positive",
                    ),
                ),
                (
                    "art_six_months",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Has the patient been on anti-retroviral therapy for at least 6 months",
                    ),
                ),
                (
                    "on_rx_stable",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient considered to be stable on treatment (in regular attendance for care)",
                    ),
                ),
                (
                    "lives_nearby",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient living within the catchment population of the facility",
                    ),
                ),
                (
                    "staying_nearby",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient planning to remain in the catchment area for at least 6 months",
                    ),
                ),
                (
                    "pregnant",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not Applicable: e.g. male, post-menopausal"),
                        ],
                        max_length=15,
                        null=True,
                        verbose_name="Is the patient pregnant?",
                    ),
                ),
                (
                    "preg_test_date",
                    models.DateTimeField(
                        blank=True,
                        null=True,
                        verbose_name="Pregnancy test (Urine or serum βhCG) date",
                    ),
                ),
                (
                    "congestive_heart_failure",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have congestive heart failure requiring pharmacologic therapy",
                    ),
                ),
                (
                    "liver_disease",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Evidence of chronic liver disease: Jaundice, pruritus, hepatomegaly, ascites, spider naevi and flapping tremors.",
                        max_length=15,
                        null=True,
                        verbose_name="Is there clinical evidence of liver disease",
                    ),
                ),
                (
                    "alcoholism",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Evidence of alcoholism or acute alcohol intoxication: flushing, amnesia, mental confusion, nausea or vomiting, slurred speech, dehydration, dry skin and brittle hair.",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any evidence of alcoholism or acute alcohol intoxication",
                    ),
                ),
                (
                    "acute_metabolic_acidosis",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any signs or symptoms of acute metabolic acidosis (lactic acidosis and/or diabetic ketoacidosis)",
                    ),
                ),
                (
                    "renal_function_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition which can alter renal function including: dehydration, severe infection or shock",
                    ),
                ),
                (
                    "tissue_hypoxia_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Including: decompensated heart failure, respiratory failure, recent myocardial infarction or shock",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition which can cause tissue hypoxia",
                    ),
                ),
                (
                    "acute_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition requiring immediate hospital care/admission",
                    ),
                ),
                (
                    "metformin_sensitivity",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="For example: Magnesium stearate, sodium carboxymethylcellulose, hypromellose",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any known hypersensitivity to metformin or any excipients associated with its preparation",
                    ),
                ),
                (
                    "part_two_report_datetime",
                    models.DateTimeField(
                        help_text="Date and time of report.",
                        null=True,
                        verbose_name="Report Date and Time",
                    ),
                ),
                (
                    "patient_eligible",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Hint: You may click SAVE below to automatically verify potential eligibility based on answers to the inclusion and exclusion criteria above.",
                        max_length=15,
                        null=True,
                        verbose_name="Is the patient potentially eligible for the study? ",
                    ),
                ),
                (
                    "advised_to_fast",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="If YES, has the patient been advised to return fasted for the second stage of the screening?",
                    ),
                ),
                (
                    "appt_datetime",
                    models.DateTimeField(
                        blank=True,
                        null=True,
                        verbose_name="Appointment date for second stage of screening",
                    ),
                ),
                (
                    "part_three_report_datetime",
                    models.DateTimeField(
                        help_text="Date and time of report.",
                        null=True,
                        verbose_name="Second stage report date and time",
                    ),
                ),
                (
                    "weight",
                    models.DecimalField(
                        decimal_places=1, help_text="in kgs", max_digits=4, null=True
                    ),
                ),
                ("height", models.IntegerField(help_text="in centimeters", null=True)),
                (
                    "calculated_bmi",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="calculated",
                        max_digits=4,
                        null=True,
                    ),
                ),
                (
                    "fasted",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Has the participant fasted?",
                    ),
                ),
                (
                    "fasted_duration",
                    models.CharField(
                        help_text="format HH:MM",
                        max_length=8,
                        null=True,
                        validators=[
                            django.core.validators.RegexValidator(
                                "^([0-9]{1,3}:[0-5][0-9])$",
                                message="Enter a valid time in hour:minutes format",
                            )
                        ],
                        verbose_name="How long have they fasted?",
                    ),
                ),
                (
                    "urine_bhcg",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not applicable"),
                        ],
                        help_text="(Pregnancy test)",
                        max_length=15,
                        null=True,
                        verbose_name="Urine BHCG",
                    ),
                ),
                (
                    "hba1c",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="in %",
                        max_digits=3,
                        null=True,
                        verbose_name="HbA1c",
                    ),
                ),
                (
                    "creatinine",
                    models.DecimalField(
                        decimal_places=1,
                        max_digits=4,
                        null=True,
                        verbose_name="Serum creatinine levels",
                    ),
                ),
                (
                    "creatinine_units",
                    models.CharField(
                        choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                        max_length=15,
                        null=True,
                        verbose_name="Units (creatinine)",
                    ),
                ),
                (
                    "calculated_egfr",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="mL/min per 1.73m2",
                        max_digits=4,
                        null=True,
                        verbose_name="eGFR",
                    ),
                ),
                (
                    "fasting_glucose",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="mmol/L",
                        max_digits=3,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(1),
                            django.core.validators.MaxValueValidator(50),
                        ],
                        verbose_name="Fasting glucose levels",
                    ),
                ),
                (
                    "fasting_glucose_datetime",
                    models.DateTimeField(
                        null=True, verbose_name="Time fasting glucose level measured"
                    ),
                ),
                (
                    "ogtt_performed_datetime",
                    models.DateTimeField(
                        help_text="(glucose solution given)",
                        null=True,
                        verbose_name="Time oral glucose tolerance test was performed",
                    ),
                ),
                (
                    "ogtt_two_hr",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="mmol/L",
                        max_digits=3,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(1),
                            django.core.validators.MaxValueValidator(50),
                        ],
                        verbose_name="Blood glucose levels 2-hours after glucose solution given",
                    ),
                ),
                (
                    "ogtt_two_hr_units",
                    models.CharField(
                        choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                        max_length=15,
                        null=True,
                        verbose_name="Units (Blood glucose)",
                    ),
                ),
                (
                    "ogtt_two_hr_datetime",
                    models.DateTimeField(
                        null=True,
                        verbose_name="Time blood glucose levels tested after glucose solution given",
                    ),
                ),
                (
                    "ogtt_two_hr_duration",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Duration will be calculated when you click SAVE.",
                        max_length=15,
                        null=True,
                        verbose_name="Is the duration within range (110-130min)?",
                    ),
                ),
                ("history_date", models.DateTimeField()),
                ("history_change_reason", models.CharField(max_length=100, null=True)),
                (
                    "history_type",
                    models.CharField(
                        choices=[("+", "Created"), ("~", "Changed"), ("-", "Deleted")],
                        max_length=1,
                    ),
                ),
                (
                    "history_user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="+",
                        to="sites.Site",
                    ),
                ),
            ],
            options={
                "verbose_name": "historical screening part three",
                "ordering": ("-history_date", "-history_id"),
                "get_latest_by": "history_date",
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name="HistoricalScreeningPartOne",
            fields=[
                (
                    "revision",
                    django_revision.revision_field.RevisionField(
                        blank=True,
                        editable=False,
                        help_text="System field. Git repository tag:branch:commit.",
                        max_length=75,
                        null=True,
                        verbose_name="Revision",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "modified",
                    models.DateTimeField(
                        blank=True,
                        default=django_audit_fields.models.audit_model_mixin.utcnow,
                    ),
                ),
                (
                    "user_created",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user created",
                    ),
                ),
                (
                    "user_modified",
                    django_audit_fields.fields.userfield.UserField(
                        blank=True,
                        help_text="Updated by admin.save_model",
                        max_length=50,
                        verbose_name="user modified",
                    ),
                ),
                (
                    "hostname_created",
                    models.CharField(
                        blank=True,
                        default=_socket.gethostname,
                        help_text="System field. (modified on create only)",
                        max_length=60,
                    ),
                ),
                (
                    "hostname_modified",
                    django_audit_fields.fields.hostname_modification_field.HostnameModificationField(
                        blank=True,
                        help_text="System field. (modified on every save)",
                        max_length=50,
                    ),
                ),
                ("device_created", models.CharField(blank=True, max_length=10)),
                ("device_modified", models.CharField(blank=True, max_length=10)),
                (
                    "id",
                    django_audit_fields.fields.uuid_auto_field.UUIDAutoField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        help_text="System auto field. UUID primary key.",
                    ),
                ),
                (
                    "subject_identifier",
                    models.CharField(max_length=50, verbose_name="Subject Identifier"),
                ),
                (
                    "subject_identifier_as_pk",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "subject_identifier_aka",
                    models.CharField(
                        editable=False,
                        help_text="track a previously allocated identifier.",
                        max_length=50,
                        null=True,
                        verbose_name="Subject Identifier a.k.a",
                    ),
                ),
                (
                    "slug",
                    models.CharField(
                        db_index=True,
                        default="",
                        editable=False,
                        help_text="a field used for quick search",
                        max_length=250,
                        null=True,
                    ),
                ),
                (
                    "reference",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        verbose_name="Reference",
                    ),
                ),
                (
                    "screening_identifier",
                    models.CharField(
                        blank=True,
                        db_index=True,
                        editable=False,
                        max_length=50,
                        verbose_name="Screening ID",
                    ),
                ),
                (
                    "report_datetime",
                    models.DateTimeField(
                        default=edc_utils.date.get_utcnow,
                        help_text="Date and time of report.",
                        verbose_name="Report Date and Time",
                    ),
                ),
                (
                    "gender",
                    models.CharField(
                        choices=[("M", "Male"), ("F", "Female")], max_length=10
                    ),
                ),
                (
                    "age_in_years",
                    models.IntegerField(
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(110),
                        ]
                    ),
                ),
                (
                    "consent_ability",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=5,
                        verbose_name="Participant or legal guardian/representative able and willing to give informed consent.",
                    ),
                ),
                ("eligible", models.BooleanField(default=False, editable=False)),
                (
                    "reasons_ineligible",
                    models.TextField(
                        editable=False,
                        max_length=150,
                        null=True,
                        verbose_name="Reason not eligible",
                    ),
                ),
                ("consented", models.BooleanField(default=False, editable=False)),
                (
                    "history_id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("hospital_identifier", models.CharField(db_index=True, max_length=25)),
                (
                    "ethnicity",
                    models.CharField(
                        choices=[("black", "Black"), ("OTHER", "Other")],
                        help_text="Used for eGFR calculation",
                        max_length=15,
                        null=True,
                    ),
                ),
                (
                    "hiv_pos",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=5,
                        null=True,
                        verbose_name="Is the patient HIV positive",
                    ),
                ),
                (
                    "art_six_months",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Has the patient been on anti-retroviral therapy for at least 6 months",
                    ),
                ),
                (
                    "on_rx_stable",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient considered to be stable on treatment (in regular attendance for care)",
                    ),
                ),
                (
                    "lives_nearby",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient living within the catchment population of the facility",
                    ),
                ),
                (
                    "staying_nearby",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=10,
                        null=True,
                        verbose_name="Is the patient planning to remain in the catchment area for at least 6 months",
                    ),
                ),
                (
                    "pregnant",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not Applicable: e.g. male, post-menopausal"),
                        ],
                        max_length=15,
                        null=True,
                        verbose_name="Is the patient pregnant?",
                    ),
                ),
                (
                    "preg_test_date",
                    models.DateTimeField(
                        blank=True,
                        null=True,
                        verbose_name="Pregnancy test (Urine or serum βhCG) date",
                    ),
                ),
                (
                    "congestive_heart_failure",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have congestive heart failure requiring pharmacologic therapy",
                    ),
                ),
                (
                    "liver_disease",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Evidence of chronic liver disease: Jaundice, pruritus, hepatomegaly, ascites, spider naevi and flapping tremors.",
                        max_length=15,
                        null=True,
                        verbose_name="Is there clinical evidence of liver disease",
                    ),
                ),
                (
                    "alcoholism",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Evidence of alcoholism or acute alcohol intoxication: flushing, amnesia, mental confusion, nausea or vomiting, slurred speech, dehydration, dry skin and brittle hair.",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any evidence of alcoholism or acute alcohol intoxication",
                    ),
                ),
                (
                    "acute_metabolic_acidosis",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any signs or symptoms of acute metabolic acidosis (lactic acidosis and/or diabetic ketoacidosis)",
                    ),
                ),
                (
                    "renal_function_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition which can alter renal function including: dehydration, severe infection or shock",
                    ),
                ),
                (
                    "tissue_hypoxia_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Including: decompensated heart failure, respiratory failure, recent myocardial infarction or shock",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition which can cause tissue hypoxia",
                    ),
                ),
                (
                    "acute_condition",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any acute condition requiring immediate hospital care/admission",
                    ),
                ),
                (
                    "metformin_sensitivity",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="For example: Magnesium stearate, sodium carboxymethylcellulose, hypromellose",
                        max_length=15,
                        null=True,
                        verbose_name="Does the patient have any known hypersensitivity to metformin or any excipients associated with its preparation",
                    ),
                ),
                (
                    "part_two_report_datetime",
                    models.DateTimeField(
                        help_text="Date and time of report.",
                        null=True,
                        verbose_name="Report Date and Time",
                    ),
                ),
                (
                    "patient_eligible",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Hint: You may click SAVE below to automatically verify potential eligibility based on answers to the inclusion and exclusion criteria above.",
                        max_length=15,
                        null=True,
                        verbose_name="Is the patient potentially eligible for the study? ",
                    ),
                ),
                (
                    "advised_to_fast",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="If YES, has the patient been advised to return fasted for the second stage of the screening?",
                    ),
                ),
                (
                    "appt_datetime",
                    models.DateTimeField(
                        blank=True,
                        null=True,
                        verbose_name="Appointment date for second stage of screening",
                    ),
                ),
                (
                    "part_three_report_datetime",
                    models.DateTimeField(
                        help_text="Date and time of report.",
                        null=True,
                        verbose_name="Second stage report date and time",
                    ),
                ),
                (
                    "weight",
                    models.DecimalField(
                        decimal_places=1, help_text="in kgs", max_digits=4, null=True
                    ),
                ),
                ("height", models.IntegerField(help_text="in centimeters", null=True)),
                (
                    "calculated_bmi",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="calculated",
                        max_digits=4,
                        null=True,
                    ),
                ),
                (
                    "fasted",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        max_length=15,
                        null=True,
                        verbose_name="Has the participant fasted?",
                    ),
                ),
                (
                    "fasted_duration",
                    models.CharField(
                        help_text="format HH:MM",
                        max_length=8,
                        null=True,
                        validators=[
                            django.core.validators.RegexValidator(
                                "^([0-9]{1,3}:[0-5][0-9])$",
                                message="Enter a valid time in hour:minutes format",
                            )
                        ],
                        verbose_name="How long have they fasted?",
                    ),
                ),
                (
                    "urine_bhcg",
                    models.CharField(
                        choices=[
                            ("Yes", "Yes"),
                            ("No", "No"),
                            ("N/A", "Not applicable"),
                        ],
                        help_text="(Pregnancy test)",
                        max_length=15,
                        null=True,
                        verbose_name="Urine BHCG",
                    ),
                ),
                (
                    "hba1c",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="in %",
                        max_digits=3,
                        null=True,
                        verbose_name="HbA1c",
                    ),
                ),
                (
                    "creatinine",
                    models.DecimalField(
                        decimal_places=1,
                        max_digits=4,
                        null=True,
                        verbose_name="Serum creatinine levels",
                    ),
                ),
                (
                    "creatinine_units",
                    models.CharField(
                        choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                        max_length=15,
                        null=True,
                        verbose_name="Units (creatinine)",
                    ),
                ),
                (
                    "calculated_egfr",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="mL/min per 1.73m2",
                        max_digits=4,
                        null=True,
                        verbose_name="eGFR",
                    ),
                ),
                (
                    "fasting_glucose",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="mmol/L",
                        max_digits=3,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(1),
                            django.core.validators.MaxValueValidator(50),
                        ],
                        verbose_name="Fasting glucose levels",
                    ),
                ),
                (
                    "fasting_glucose_datetime",
                    models.DateTimeField(
                        null=True, verbose_name="Time fasting glucose level measured"
                    ),
                ),
                (
                    "ogtt_performed_datetime",
                    models.DateTimeField(
                        help_text="(glucose solution given)",
                        null=True,
                        verbose_name="Time oral glucose tolerance test was performed",
                    ),
                ),
                (
                    "ogtt_two_hr",
                    models.DecimalField(
                        decimal_places=1,
                        help_text="mmol/L",
                        max_digits=3,
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(1),
                            django.core.validators.MaxValueValidator(50),
                        ],
                        verbose_name="Blood glucose levels 2-hours after glucose solution given",
                    ),
                ),
                (
                    "ogtt_two_hr_units",
                    models.CharField(
                        choices=[("mg/dL", "mg/dL"), ("mmol/L", "mmol/L")],
                        max_length=15,
                        null=True,
                        verbose_name="Units (Blood glucose)",
                    ),
                ),
                (
                    "ogtt_two_hr_datetime",
                    models.DateTimeField(
                        null=True,
                        verbose_name="Time blood glucose levels tested after glucose solution given",
                    ),
                ),
                (
                    "ogtt_two_hr_duration",
                    models.CharField(
                        choices=[("Yes", "Yes"), ("No", "No")],
                        help_text="Duration will be calculated when you click SAVE.",
                        max_length=15,
                        null=True,
                        verbose_name="Is the duration within range (110-130min)?",
                    ),
                ),
                ("history_date", models.DateTimeField()),
                ("history_change_reason", models.CharField(max_length=100, null=True)),
                (
                    "history_type",
                    models.CharField(
                        choices=[("+", "Created"), ("~", "Changed"), ("-", "Deleted")],
                        max_length=1,
                    ),
                ),
                (
                    "history_user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "site",
                    models.ForeignKey(
                        blank=True,
                        db_constraint=False,
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="+",
                        to="sites.Site",
                    ),
                ),
            ],
            options={
                "verbose_name": "historical screening part one",
                "ordering": ("-history_date", "-history_id"),
                "get_latest_by": "history_date",
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
