# Generated by Django 2.2.3 on 2019-08-31 09:46

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [("meta_screening", "0006_auto_20190831_1128")]

    operations = [
        migrations.AlterModelOptions(
            name="historicalscreeningpartone",
            options={
                "get_latest_by": "history_date",
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical Subject Screening: Part One",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalscreeningpartthree",
            options={
                "get_latest_by": "history_date",
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical Subject Screening: Part Three",
            },
        ),
        migrations.AlterModelOptions(
            name="historicalscreeningparttwo",
            options={
                "get_latest_by": "history_date",
                "ordering": ("-history_date", "-history_id"),
                "verbose_name": "historical Subject Screening: Part Two",
            },
        ),
        migrations.AlterModelOptions(
            name="screeningpartone",
            options={
                "verbose_name": "Subject Screening: Part One",
                "verbose_name_plural": "Subject Screening: Part One",
            },
        ),
        migrations.AlterModelOptions(
            name="screeningpartthree",
            options={
                "verbose_name": "Subject Screening: Part Three",
                "verbose_name_plural": "Subject Screening: Part Three",
            },
        ),
        migrations.AlterModelOptions(
            name="screeningparttwo",
            options={
                "verbose_name": "Subject Screening: Part Two",
                "verbose_name_plural": "Subject Screening: Part Two",
            },
        ),
        migrations.RenameField(
            model_name="historicalscreeningpartone",
            old_name="fasted_duration",
            new_name="fasted_duration_str",
        ),
        migrations.RenameField(
            model_name="historicalscreeningpartthree",
            old_name="fasted_duration",
            new_name="fasted_duration_str",
        ),
        migrations.RenameField(
            model_name="historicalscreeningparttwo",
            old_name="fasted_duration",
            new_name="fasted_duration_str",
        ),
        migrations.RenameField(
            model_name="historicalsubjectscreening",
            old_name="fasted_duration",
            new_name="fasted_duration_str",
        ),
        migrations.RenameField(
            model_name="subjectscreening",
            old_name="fasted_duration",
            new_name="fasted_duration_str",
        ),
        migrations.RemoveField(
            model_name="historicalscreeningpartone", name="potentially_eligible"
        ),
        migrations.RemoveField(
            model_name="historicalscreeningpartthree", name="potentially_eligible"
        ),
        migrations.RemoveField(
            model_name="historicalscreeningparttwo", name="potentially_eligible"
        ),
        migrations.RemoveField(
            model_name="historicalsubjectscreening", name="potentially_eligible"
        ),
        migrations.RemoveField(
            model_name="subjectscreening", name="potentially_eligible"
        ),
        migrations.AddField(
            model_name="historicalscreeningpartone",
            name="eligible_part_one",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartone",
            name="eligible_part_three",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartone",
            name="eligible_part_two",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartone",
            name="fasted_duration_minutes",
            field=models.IntegerField(help_text="system calculated value", null=True),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartthree",
            name="eligible_part_one",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartthree",
            name="eligible_part_three",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartthree",
            name="eligible_part_two",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartthree",
            name="fasted_duration_minutes",
            field=models.IntegerField(help_text="system calculated value", null=True),
        ),
        migrations.AddField(
            model_name="historicalscreeningparttwo",
            name="eligible_part_one",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningparttwo",
            name="eligible_part_three",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningparttwo",
            name="eligible_part_two",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningparttwo",
            name="fasted_duration_minutes",
            field=models.IntegerField(help_text="system calculated value", null=True),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="eligible_part_one",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="eligible_part_three",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="eligible_part_two",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="fasted_duration_minutes",
            field=models.IntegerField(help_text="system calculated value", null=True),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="eligible_part_one",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="eligible_part_three",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="eligible_part_two",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("N/A", "Not applicable")],
                default="N/A",
                help_text="system calculated value",
                max_length=15,
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="fasted_duration_minutes",
            field=models.IntegerField(help_text="system calculated value", null=True),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="advised_to_fast",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    (
                        "N/A",
                        "Not applicable, subject is not eligible based on the criteria above",
                    ),
                ],
                default="N/A",
                max_length=15,
                verbose_name="Has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="advised_to_fast",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    (
                        "N/A",
                        "Not applicable, subject is not eligible based on the criteria above",
                    ),
                ],
                default="N/A",
                max_length=15,
                verbose_name="Has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="advised_to_fast",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    (
                        "N/A",
                        "Not applicable, subject is not eligible based on the criteria above",
                    ),
                ],
                default="N/A",
                max_length=15,
                verbose_name="Has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="advised_to_fast",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    (
                        "N/A",
                        "Not applicable, subject is not eligible based on the criteria above",
                    ),
                ],
                default="N/A",
                max_length=15,
                verbose_name="Has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="advised_to_fast",
            field=models.CharField(
                choices=[
                    ("Yes", "Yes"),
                    ("No", "No"),
                    (
                        "N/A",
                        "Not applicable, subject is not eligible based on the criteria above",
                    ),
                ],
                default="N/A",
                max_length=15,
                verbose_name="Has the patient been advised to return fasted for the second stage of the screening?",
            ),
        ),
    ]
