# Generated by Django 2.2.3 on 2019-08-31 19:52

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [("meta_screening", "0012_auto_20190831_1934")]

    operations = [
        migrations.AddField(
            model_name="historicalscreeningpartone",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartone",
            name="converted_ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="",
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartthree",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningpartthree",
            name="converted_ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="",
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningparttwo",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AddField(
            model_name="historicalscreeningparttwo",
            name="converted_ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="",
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AddField(
            model_name="historicalsubjectscreening",
            name="converted_ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="",
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AddField(
            model_name="subjectscreening",
            name="converted_ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mmol/L (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="calculated_bmi",
            field=models.DecimalField(
                decimal_places=4,
                help_text="system calculated",
                max_digits=8,
                null=True,
                verbose_name="BMI",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="calculated_egfr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mL/min per 1.73m2 (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="eGFR",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="creatinine",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine levels",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="inclusion_a",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired fasting glucose (6.1 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="inclusion_b",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired glucose tolerance at 2 hours (7.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="inclusion_c",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired fasting glucose (6.3 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="inclusion_d",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired glucose tolerance at 2 hours (9.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=1,
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="calculated_bmi",
            field=models.DecimalField(
                decimal_places=4,
                help_text="system calculated",
                max_digits=8,
                null=True,
                verbose_name="BMI",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="calculated_egfr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mL/min per 1.73m2 (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="eGFR",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="creatinine",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine levels",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="inclusion_a",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired fasting glucose (6.1 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="inclusion_b",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired glucose tolerance at 2 hours (7.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="inclusion_c",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired fasting glucose (6.3 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="inclusion_d",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired glucose tolerance at 2 hours (9.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=1,
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="calculated_bmi",
            field=models.DecimalField(
                decimal_places=4,
                help_text="system calculated",
                max_digits=8,
                null=True,
                verbose_name="BMI",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="calculated_egfr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mL/min per 1.73m2 (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="eGFR",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="creatinine",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine levels",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="inclusion_a",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired fasting glucose (6.1 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="inclusion_b",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired glucose tolerance at 2 hours (7.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="inclusion_c",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired fasting glucose (6.3 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="inclusion_d",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired glucose tolerance at 2 hours (9.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=1,
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="calculated_bmi",
            field=models.DecimalField(
                decimal_places=4,
                help_text="system calculated",
                max_digits=8,
                null=True,
                verbose_name="BMI",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="calculated_egfr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mL/min per 1.73m2 (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="eGFR",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="creatinine",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine levels",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="inclusion_a",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired fasting glucose (6.1 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="inclusion_b",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired glucose tolerance at 2 hours (7.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="inclusion_c",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired fasting glucose (6.3 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="inclusion_d",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired glucose tolerance at 2 hours (9.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=1,
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="calculated_bmi",
            field=models.DecimalField(
                decimal_places=4,
                help_text="system calculated",
                max_digits=8,
                null=True,
                verbose_name="BMI",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="calculated_egfr",
            field=models.DecimalField(
                decimal_places=4,
                help_text="mL/min per 1.73m2 (system calculated)",
                max_digits=8,
                null=True,
                verbose_name="eGFR",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="creatinine",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine levels",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="inclusion_a",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired fasting glucose (6.1 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="inclusion_b",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI>30 combined with impaired glucose tolerance at 2 hours (7.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="inclusion_c",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired fasting glucose (6.3 to 6.9 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="inclusion_d",
            field=models.CharField(
                choices=[("Yes", "Yes"), ("No", "No"), ("tbd", "To be determined")],
                default="tbd",
                help_text="system calculated",
                max_length=15,
                verbose_name="BMI<=30 combined with impaired glucose tolerance at 2 hours (9.0 to 11.10 mmol/L)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=1,
                max_digits=3,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(50),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
    ]
