# Generated by Django 2.2.3 on 2019-08-31 20:40

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [("meta_screening", "0015_auto_20190831_2316")]

    operations = [
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="μmol/L (system converted)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="creatinine_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("umol/L", "μmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (creatinine)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartone",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(300),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="μmol/L (system converted)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="creatinine_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("umol/L", "μmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (creatinine)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningpartthree",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(300),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="μmol/L (system converted)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="creatinine_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("umol/L", "μmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (creatinine)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalscreeningparttwo",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(300),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="μmol/L (system converted)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="creatinine_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("umol/L", "μmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (creatinine)",
            ),
        ),
        migrations.AlterField(
            model_name="historicalsubjectscreening",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(300),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="converted_creatinine",
            field=models.DecimalField(
                decimal_places=4,
                help_text="μmol/L (system converted)",
                max_digits=8,
                null=True,
                verbose_name="Serum creatinine",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="creatinine_units",
            field=models.CharField(
                choices=[("mg/dL", "mg/dL"), ("umol/L", "μmol/L")],
                max_length=15,
                null=True,
                verbose_name="Units (creatinine)",
            ),
        ),
        migrations.AlterField(
            model_name="subjectscreening",
            name="ogtt_two_hr",
            field=models.DecimalField(
                decimal_places=4,
                max_digits=8,
                null=True,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(300),
                ],
                verbose_name="Blood glucose levels 2-hours after glucose solution given",
            ),
        ),
    ]
